- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: b78b10ae-5e46-47d1-8e45-fe7889c9ccde
    creation_time: 2023-02-17T13:35:03.110854Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/even.c
      input_file_hashes:
        c/loop-invariants/even.c: 907de60c76ba721f5ee8090b571387619e8ea4f2c3c4961a16da0916b80c691f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/even.c
    file_hash: 907de60c76ba721f5ee8090b571387619e8ea4f2c3c4961a16da0916b80c691f
    line: 14
    column: 0
    function: main
  loop_invariant:
    string: x % 2 == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 80be0acf-d9ee-485a-8167-fef0d3bf2dc5
    creation_time: 2023-02-17T13:35:03.111283Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/loop-invariants/even.c
      input_file_hashes:
        c/loop-invariants/even.c: 907de60c76ba721f5ee8090b571387619e8ea4f2c3c4961a16da0916b80c691f
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/loop-invariants/even.c
    file_hash: 907de60c76ba721f5ee8090b571387619e8ea4f2c3c4961a16da0916b80c691f
    line: 17
    column: 0
    function: main
  location_invariant:
    string: x % 2 == 0
    type: assertion
    format: C

